[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#694156: debian-installer: Wrong keymap at first boot-up with encrypted LVM



Control: reassign -1 finish-install 2.40
Control: tag -1 patch pending

Cyril Brulebois <kibi@debian.org> (26/12/2012):
> Some ways to go forward:
>  1. patch console-setup's postinst to detect when cryptsetup is
>     installed, to kick an update-initramfs run.

This is going to be tracked in #696773; I proposed addressing that for
jessie.

>  2. patch some d-i component to manually trigger an initramfs update
>     when cryptsetup and console-setup are installed; maybe some
>     finish-install thing?

I managed to have a functional setup by patching finish-install (patch
attached), reassigning there.

I'll upload that shortly unless I hear any objections.

Mraw,
KiBi.
From a58cb22102b23d4cdaf169101adf0a56846a6b0f Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <kibi@debian.org>
Date: Thu, 27 Dec 2012 00:25:40 +0100
Subject: [PATCH] Make keymap + encrypted KVM work (Closes: #694156).

---
 debian/changelog                    |   12 ++++++++++++
 finish-install.d/10update-initramfs |   12 ++++++++++++
 2 files changed, 24 insertions(+)
 create mode 100755 finish-install.d/10update-initramfs

diff --git a/debian/changelog b/debian/changelog
index 62b483f..7590a32 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+finish-install (2.41) UNRELEASED; urgency=low
+
+  * Make sure to run update-initramfs if both cryptsetup and console-setup
+    are installed, so that one can actually type the passphrase in the
+    encrypted LVM case (Closes: #694156). This is kind of papering over a
+    possibly missing update-initramfs call in console-setup (this is
+    tracked in #696773), but at this point of the release cycle, keeping
+    changes small looks like a good idea. New script:
+     - finish-install.d/10update-initramfs
+
+ -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Dec 2012 23:34:28 +0100
+
 finish-install (2.40) unstable; urgency=low
 
   [ Updated translations ]
diff --git a/finish-install.d/10update-initramfs b/finish-install.d/10update-initramfs
new file mode 100755
index 0000000..778f39c
--- /dev/null
+++ b/finish-install.d/10update-initramfs
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# If both cryptsetup and console-setup are installed, run
+# update-initramfs to make sure one can type the passphrase
+# (see #694156, workaround for #696773):
+/bin/in-target \
+    /bin/sh -c "dpkg-query -s cryptsetup >/dev/null 2>&1 && dpkg-query -s console-setup >/dev/null 2>&1"
+
+if [ $? = 0 ]; then
+    echo "Encrypted LVM detected, refreshing initramfs"
+   /bin/in-target update-initramfs -u -k all
+fi
-- 
1.7.10.4

Attachment: signature.asc
Description: Digital signature


Reply to: